#!/bin/sh
#
# language extractor v0.1
# 21.01.00 tn
#

if [ "$1" = "" ]; then 
	echo "Usage: lang_extract.sh language-id"
	exit;
fi

# check if the backup files already exist..if not create them
if [ ! -f language.def.org -o ! -f langhelp.def.org ]; then
	echo "Creating backup files (.org)"
	cp language.def language.def.org 
	cp langhelp.def langhelp.def.org 
fi

# extract lines with language 0 and given id to new language file
# including empty lines and comments
echo
echo "Creating new languages files for id $1..."
egrep "_0:|_$1:|^#|^\$" language.def.org >language.def
egrep "_0:|_$1:|^#|^\$" langhelp.def.org >langhelp.def

echo 
echo "----------"
echo " Please read TRANSLATION.HOWTO for further translation instructions"
echo "----------"


